"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.METADATA_TYPE_KEY = exports.getSchema = exports.DocumentSchema = void 0;
exports.DocumentSchema = Symbol('DocumentSchema');
function getSchema(item) {
    if (item) {
        const schema = item[exports.DocumentSchema];
        if (schema && typeof schema === 'object') {
            return schema;
        }
    }
    throw new Error('The provided item did not adhere to the Document protocol.' +
        ' No object property was found at the `DocumentSchema` symbol');
}
exports.getSchema = getSchema;
exports.METADATA_TYPE_KEY = 'design:type';
//# sourceMappingURL=protocols.js.map